<a name="menu">目录</a>
1. [列表](#list)
1. [查询](#info)
1. [添加/修改](#save)
1. [删除](#del)
1. [按注册地查](#domicileList)


## **<a name="list"> 列表</a>**
[返回到目录](#menu)
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript

    {
        "action_process": "test",
        "action_type": "businessscopePage",
        "action_body": {
            "currentPage": "1",
            "pageSize": "3",
            "domicileId": ""            // 注册地id
        }
    }

```

#### 返回结果
```javascript
    
    {
        "status": 0,
        "msg": "success",
        "data": {
            "count": 10,
            "rows": [
                {
                    "id": "12218127593000590",                          // 经营范围id
                    "domicile_id": "12706646858000580",                 // 注册地id
                    "businessType": "经营范围3",                         // 经营范围
                    "businessscope": "经营范围详情",                      // 经营范围详情
                    "isEnabled": 0,                                     // 是否启用 0否 1是
                    "created_at": "2019-10-03 06:51:01",                // 创建时间

                    "domicile": {                                       // 注册地信息
                        "name": "杨庆菊1",                               // 注册地姓名
                        "isEnabled": 1,                                 // 是否启用 0否 1是
                        "created_at": "2019-10-02 10:08:04"
                    }
                },
            ]
        },
        "requestid": "f2bc255412d64cffb46d35b5c2f21ffe"
    }

```




## **<a name="info"> 查询</a>**
[返回到目录](#menu)
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript

    {
    "action_process": "test",
    "action_type": "businessscopeInfo",
    "action_body": {
    	"id": "12218127593000590"           // 经营范围id
    }
}

```

#### 返回结果
```javascript
    
    {
        "status": 0,
        "msg": "success",
        "data": {
            "id": "12218127593000590",                          // 经营范围id
            "domicile_id": "12706646858000580",                 // 注册地id
            "businessType": "经营范围3",                         // 经营范围
            "businessscope": "经营范围详情",                      // 经营范围详情
            "isEnabled": 0,                                     // 是否启用 0否 1是
            "created_at": "2019-10-03 06:51:01",                // 创建时间

            "domicile": {                                       // 注册地信息
                "name": "杨庆菊1",                               // 注册地姓名
                "isEnabled": 1,                                 // 是否启用 0否 1是
                "created_at": "2019-10-02 10:08:04"
            }
        },
        "requestid": "436b027db2154f668c5f436040a28b9a"
    }

```




## **<a name="save"> 添加/修改</a>**
[返回到目录](#menu)
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript

    {
        "action_process": "test",
        "action_type": "businessscopeSave",
        "action_body": {
            "id": "",                               // id
            "domicileId": "12706710830001318",      // 注册地id
            "businesssType": "经营范围1",            // 经营范围
            "businessscope": "经营范围详情1",         // 经营范围详情
            "isEnabled": 0
        }
    }

```

#### 返回结果
```javascript
    {
        "status": 0,
        "msg": "success",
        "data": {},
        "requestid": "02da57850743496181fcd4705c09749e"
    }
}

```


## **<a name="del"> 删除</a>**
[返回到目录](#menu)
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript

    {
        "action_process": "test",
        "action_type": "businessscopeDelete",
        "action_body": {
            "ids": ["12218127708000700","12218127590000439","12218127733000865"]
        }
    }

```

#### 返回结果
```javascript
    {
        "status": 0,
        "msg": "success",
        "data": 1,
        "requestid": "51161e8d79614cb58de8edaa61a85766"
    }
}

```


## **<a name="domicileList"> 按注册地查</a>**
[返回到目录](#menu)
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript
    {
        "action_process": "test",
        "action_type": "businessscopeByDomicileId",
        "action_body": {
            "domicileId": "12706646858000580"
        }
    }

```

#### 返回结果
```javascript
    
    {
        "status": 0,
        "msg": "success",
        "data": [
            {
                "id": "12218127593000590",                          // 经营范围id
                "domicile_id": "12706646858000580",                 // 注册地id
                "businessType": "经营范围3",                         // 经营范围
                "businessscope": "经营范围详情",                      // 经营范围详情
                "isEnabled": 0,                                     // 是否启用 0否 1是
                "created_at": "2019-10-03 06:51:01",                // 创建时间

                "domicile": {                                       // 注册地信息
                    "name": "杨庆菊1",                               // 注册地姓名
                    "isEnabled": 1,                                 // 是否启用 0否 1是
                    "created_at": "2019-10-02 10:08:04"
                }
            },
        ],
        "requestid": "f2bc255412d64cffb46d35b5c2f21ffe"
    }

```
